<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PairingRequest extends \Google\Protobuf\Internal\Message
{
    


    protected $companionPublicKey = null;
    


    protected $companionIdentityKey = null;
    


    protected $advSecret = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCompanionPublicKey()
    {
        return isset($this->companionPublicKey) ? $this->companionPublicKey : '';
    }

    public function hasCompanionPublicKey()
    {
        return isset($this->companionPublicKey);
    }

    public function clearCompanionPublicKey()
    {
        unset($this->companionPublicKey);
    }

    




    public function setCompanionPublicKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->companionPublicKey = $var;

        return $this;
    }

    



    public function getCompanionIdentityKey()
    {
        return isset($this->companionIdentityKey) ? $this->companionIdentityKey : '';
    }

    public function hasCompanionIdentityKey()
    {
        return isset($this->companionIdentityKey);
    }

    public function clearCompanionIdentityKey()
    {
        unset($this->companionIdentityKey);
    }

    




    public function setCompanionIdentityKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->companionIdentityKey = $var;

        return $this;
    }

    



    public function getAdvSecret()
    {
        return isset($this->advSecret) ? $this->advSecret : '';
    }

    public function hasAdvSecret()
    {
        return isset($this->advSecret);
    }

    public function clearAdvSecret()
    {
        unset($this->advSecret);
    }

    




    public function setAdvSecret($var)
    {
        GPBUtil::checkString($var, False);
        $this->advSecret = $var;

        return $this;
    }

}

